MCP tools
uninstall_app
Remove an app.
| REST operation | uninstallApp (DELETE /v1/devices/{deviceId}/apps/{appId}) |
| Needs a device | yes |
| Read only | no |
| Profiles | full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
app |
yes | string | path appId |
iOS bundle ID or Android package name. |
Example call
Section titled “Example call”uninstall_app({ device_id: "ios:00008120-001A2B3C4D5E6F70", app: … })